using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            for (int i = 0; i < N; i++)
            {
                Console.ReadLine();
            }
            if (N >= 10)
                Console.WriteLine(3);
            if (N >= 5 && N<10)
                Console.WriteLine(2);
            if (N < 5)
                Console.WriteLine(1);
            Console.ReadLine();
        }
    }
}